<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
if ($ya['level'] > 5) {
switch($mode) {
case 'new':
$diz -> head('Новая инфа');
$diz -> title('Добавление инфо-ии');
if (empty($_POST['name'])) {
$msg .= '<div class="fon"><form action="?mode=new" method="post"><div>
Название:<br/><input type="text" name="name" value="" maxlength="24"/></br>
Содержание:<br/>
<textarea name="top" rows="3" cols="15"></textarea></br>';
$msg .= '<input type="submit" value="Добавить"/></form></div>';
} else {
$maxsid = $db -> dbcount('MAX(`sid`)','faq');
$name = shit($_POST['name']);
$top = shit($_POST['top']);
$db -> query("Insert `faq` SET `name` = '".$name."',`text` = '".$top."',`sid`=$maxsid+1");
$msg .= '<div class="fon">Инфо-ия '.$name.' успешно добавлена в раздел помощи!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="faq.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;  

case 'menu':
$sql = $db -> query("SELECT * FROM `faq` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$menu = $sql -> fetch_assoc();
$diz -> head('Данные инфо-ии');
$diz -> title('Изменяем инфо-ию');
if (empty($_POST['name'])) {
$msg = '<div class="fon">Инфо-ия: '.$menu['name'].'<br/>';
$msg .= 'Положение: #'.$menu['sid'].'<hr/>';

$msg .= '<form action="?mode=menu&amp;id='.$id.'" method="post"><div>
Название:<br/><input type="text" name="name" value="'.$menu['name'].'" maxlength="24"/></br>';
$msg .= 'Содержание:<br/><textarea name="top" rows="3" cols="15">'.$func -> br($menu['text']).'</textarea></br>
<br/><input type="submit" value="Изменить"/></form></div>';
} else {
$name = shit($_POST['name']);
$top = shit($_POST['top']);
$db -> query("UPDATE `faq` SET `name` = '".$name."',`text` = '".$top."' WHERE `id` = '".$id."'");
$msg .= '<div class="fon">Изменения приняты!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="faq.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else header('Location: ./faq.php?do=menu');
break;

case 'del':
if (!$id) $id = $ya['id'];
$sql = $db -> query("SELECT * FROM `chat` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
switch($do) {
case 'yes':
$db -> query("DELETE FROM `faq` where `id` = '".$id."'");
$diz -> head('Удаление инфо-ии');
$diz -> title('Управление инфо-ей');
$msg .= '<div class="fon">Инфо-ия была успешно удалена!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="faq.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
default:
$diz -> head('Удаление инфо-ии');
$diz -> title('Удаление инфо-ии');
$msg .= '<div class="fon">Вы уверены,что хотите удалить данную инфо-ию?';
$msg .= '<br/><a href="./faq.php?mode=del&amp;do=yes&amp;id='.$id.'">Да</a> | ';
$msg .= '<a href="./faq.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);}
} else header('Location: ./faq.php?do=menu');
break;

case 'up':
$sql = $db -> query("SELECT * FROM `faq` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$db -> query("UPDATE `faq` SET `sid` =sid+1 WHERE `sid`=sid-1");
$db -> query("UPDATE `faq` SET `sid`=sid-2 WHERE `id` = '".$id."'");
header('Location: ./faq.php?do=menu');
} else header('Location: ./faq.php?do=menu');
break;

case 'foot':
$sql = $db -> query("SELECT * FROM `faq` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$db -> query("UPDATE `faq` SET `sid` =sid-2 WHERE `sid`=sid+1");
$db -> query("UPDATE `faq` SET `sid`=sid+2 WHERE `id` = '".$id."'");
header('Location: ./faq.php?do=menu');
} else header('Location: ./faq.php?do=menu');
break;

default:
$diz -> head('Часто задаваемые вопросы');
$diz -> title('ЧЗВ (FAQ)');
$sql = $db -> query("SELECT * FROM `faq` ORDER BY `sid`");
while ($room = $sql -> fetch_assoc()) {
$msg .= '<div class="post">'.$room['sid'].') '.$room['name'].' </br>';
$msg .='<a href="?mode=menu&amp;id='.$room['id'].'">Редактировать</a> | <a href="?mode=del&amp;id='.$room['id'].'">Удалить</a></br>';
$msg .='Передвинуть: <a href="?mode=up&amp;id='.$room['id'].'">Вверх</a> | <a href="?mode=foot&amp;id='.$room['id'].'">Вниз</a></div>';
}
$msg .= '<div class="tochechki"><a href="./faq.php?mode=new">Добавить инфо-ию</a></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('location: index.php');
} else header('location: index.php');
?>